Public Member Functions | Data Fields

# HouseResolverObject Struct Reference

Resolver object to be used for houses (feature 07 spritegroups). More...

`#include <newgrf_house.h>`

Inheritance diagram for HouseResolverObject:

## Public Member Functions
| HouseResolverObject (HouseID house_id, TileIndex tile, Town *town, CallbackID callback=CBID_NO_CALLBACK, uint32 param1=0, uint32 param2=0, bool not_yet_constructed=false, uint8 initial_random_bits=0, uint32 watched_cargo_triggers=0)
| Construct a resolver for a house.
ScopeResolver * | GetScope (VarSpriteGroupScope scope=VSG_SCOPE_SELF, byte relative=0)
| Get a resolver for the scope.
## Data Fields
HouseScopeResolver | house_scope
TownScopeResolver | town_scope

## Detailed Description

Resolver object to be used for houses (feature 07 spritegroups).

Definition at line 40 of file newgrf_house.h.

## Constructor & Destructor Documentation

HouseResolverObject::HouseResolverObject | ( | HouseID | house_id,
|  | TileIndex | tile,
|  | Town * | town,
|  | CallbackID | callback = `CBID_NO_CALLBACK`,
|  | uint32 | param1 = `0`,
|  | uint32 | param2 = `0`,
|  | bool | not_yet_constructed = `false`,
|  | uint8 | initial_random_bits = `0`,
|  | uint32 | watched_cargo_triggers = `0` |
| ) |  |  |

Construct a resolver for a house.

Parameters:

  | house_id | House to query.
  | tile | Tile containing the house.
  | town | Town containing the house.
  | callback | Callback ID.
  | param1 | First parameter (var 10) of the callback.
  | param2 | Second parameter (var 18) of the callback.
  | not_yet_constructed | House is still under construction.
  | initial_random_bits | Random bits during construction checks.
  | watched_cargo_triggers | Cargo types that triggered the watched cargo callback.

Definition at line 77 of file newgrf_house.cpp.

## Member Function Documentation

ScopeResolver* HouseResolverObject::GetScope | ( | VarSpriteGroupScope | scope = `VSG_SCOPE_SELF`,
|  | byte | relative = `0` |
| ) |  |  | `[inline, virtual]`

Get a resolver for the scope.

Parameters:

  | scope | Scope to return.
  | relative | Additional parameter for VSG_SCOPE_RELATIVE.

Returns:
  The resolver for the requested scope.

Reimplemented from ResolverObject.

Definition at line 48 of file newgrf_house.h.

References VSG_SCOPE_PARENT, and VSG_SCOPE_SELF.

Referenced by NIHHouse::Resolve().

The documentation for this struct was generated from the following files:

- src/newgrf_house.h
- src/newgrf_house.cpp